<template>
  <v-container>
    <v-data-table
      :headers="headers"
      :items="servers"
      hide-actions
      disable-initial-sort
      class="elevation-1"
    >
      <template
        slot="items"
        slot-scope="props">
        <td class="text-xs-left">
          <v-icon
            color="success">
            mdi-checkbox-marked
          </v-icon>
        </td>
        <td>{{ props.item.name }}</td>
        <td>{{ props.item.type }}</td>
        <td>{{ props.item.ip }}</td>
        <td>{{ props.item.state }}</td>
        <td class="text-xs-right">
          <v-btn
            flat
            icon
            color="green">
            <v-icon>mdi-chevron-right</v-icon>
          </v-btn>
        </td>
      </template>
    </v-data-table>
  </v-container>
</template>

<script>
export default {
  data () {
    return {
      headers: [
        { text: '', sortable: false },
        { text: 'Name', value: 'name' },
        { text: 'Type', value: 'type' },
        { text: 'Ip', value: 'ip' },
        { text: 'State', value: 'state' },
        { text: '', align: 'right', sortable: false }
      ],
      servers: [
        {
          status: true,
          type: 'custom',
          state: 'ready',
          name: 'smdash.com',
          ip: '192.168.10.10'
        }
      ]
    }
  },
  methods: {
  }
}
</script>
